Runtime

## org.eclipse.gmf.runtime.diagram.ui.services.decorator
Class CreateDecoratorsOperation

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.services.decorator.CreateDecoratorsOperation

All Implemented Interfaces:
  IOperation

public class CreateDecoratorsOperation
extends java.lang.Object
implements IOperation

The operation used with the Decoration Service. The CreateDecoratorsOperation is instantiated with an IDecoratorTarget. The decorator target is the object that is to be decorated with an image or figure.

Field Summary
`protected IDecoratorTarget` `decoratorTarget` the decorator target

Constructor Summary
`CreateDecoratorsOperation(IDecoratorTarget decoratorTarget)` Constructor for `CreateDecoratorsOperation`.

Method Summary
`java.lang.Object` `execute(IProvider provider)` Executes this operation on the specified provider.
`IDecoratorTarget` `getDecoratorTarget()` Returns the object to be decorated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### decoratorTarget

    protected final IDecoratorTarget decoratorTarget

  the decorator target

Constructor Detail

### CreateDecoratorsOperation

    public CreateDecoratorsOperation(IDecoratorTarget decoratorTarget)

  Constructor for `CreateDecoratorsOperation`.

Parameters:
  `decoratorTarget` - the object to be decorated

Method Detail

### execute

    public java.lang.Object execute(IProvider provider)

  Description copied from interface: `IOperation`
  Executes this operation on the specified provider.

  Service implementers generally implement this method by first casting the provider to their service specific `IProvider`-derived class and then by delegating it the execution. Delegation is accomplished through the service specific provider derived class API.

  Specified by:
    `execute` in interface `IOperation`
  Parameters:
    `provider` - The provider on which to execute the operation.
  Returns:
    The result of executing this operation.
  See Also:
    `IOperation.execute(IProvider)`

### getDecoratorTarget

    public final IDecoratorTarget getDecoratorTarget()

  Returns the object to be decorated.

  Returns:
    the decorator target

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.